Home page logo
/

nmap-dev logo Nmap Development mailing list archives

[NSE][patch] Bug in http-wordpress-plugins
From: Daniel Miller <bonsaiviking () gmail com>
Date: Fri, 22 Jun 2012 11:44:56 -0500

Came across this bug:
NSE: http-wordpress-plugins against X.X.X.X:80 threw an error!
...cal/bin/../share/nmap/scripts/http-wordpress-plugins.nse:122: ...cal/bin/../share/nmap/scripts/http-wordpress-plugins.nse:58: bad argument #2 to 'for iterator' (invalid option)
stack traceback:
        [C]: in function 'error'
/usr/local/bin/../share/nmap/nse_main.lua:174: in function </usr/local/bin/../share/nmap/nse_main.lua:172>
        (...tail calls...)
...cal/bin/../share/nmap/scripts/http-wordpress-plugins.nse:122: in function <...cal/bin/../share/nmap/scripts/http-wordpress-plugins.nse:66>
        (...tail calls...)

Here's the patch that worked for me:

Index: scripts/http-wordpress-plugins.nse
===================================================================
--- scripts/http-wordpress-plugins.nse  (revision 29029)
+++ scripts/http-wordpress-plugins.nse  (working copy)
@@ -55,7 +55,7 @@

 local function read_data_file(file)
   return coroutine.wrap(function()
-    for line in file:lines(file) do
+    for line in file:lines() do
       if not line:match("^%s*#") and not line:match("^%s*$") then
         coroutine.yield(line)
       end

Dan

_______________________________________________
Sent through the nmap-dev mailing list
http://cgi.insecure.org/mailman/listinfo/nmap-dev
Archived at http://seclists.org/nmap-dev/


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]